SDL_GetPenDeviceType(3)

NAME
SDL_GetPenDeviceType - Get the device type of the given pen.

SYNOPSIS
#include <SDL3/SDL_pen.h>

SDL_PenDeviceType SDL_GetPenDeviceType(SDL_PenID instance_id);

DESCRIPTION
Many platforms do not supply this information, so an app must always be prepared to get an SDL_PEN_DEVICE_TYPE_UNKNOWN result.

FUNCTION PARAMETERS

instance_id
    the pen instance ID.

RETURN VALUE
Returns the device type of the given pen, or SDL_PEN_DEVICE_TYPE_INVALID on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.4.0.